Funzioni
========

Applicazione per stampare funzioni in python 3.
-----------------------------------------------

### Informazioni
Un' applicazione per stampare nel piano cartesiano una funzione(per punti, definita a tratti o normale) tramite turtle graphics.
L'applicazione è strutturata in due moduli: "grafico.py" contiene le classi e le funzioni per il disegno vero e proprio mentre "funzioni.py" è l'interfaccia grafica(tkinter) al modulo che facilita e ne velocizza l'uso.
Grafico.py è indipendente e può essere usato anche senza l'interfaccia grafica.
È possibile salvare il piano cartesiano in formato svg tramite [canvas2svg](Link: http://wm.ite.pl/proj/canvas2svg/index.html).
	
### Istruzioni
grafico.py:

	* importare il modulo grafico.py.
		Es. import grafico
	* Per creare un piano cartesiano istanziare un oggetto "grafico" fornendo le lunghezze degli assi. 
		Es. piano = grafico.grafico(20,20)
	* Per disegnare una funzione usare il metodo disegna fornendo una funzione, l'intervallo nel dominio e il colore.
		Es. piano.disegna(lamda x: x**2-2*x+1, -10, 10, ""#92182b")
	* Per cancellare usare il metodo pulisci.
		Es. piano.pulisci()
	
	Grafico() è sottoclasse di turtle.Pen quindi è possibile usare tutti i metodi ereditati.
	
funzioni.py:

	Normale:
		
		* Inserire la funzione nella prima casella di testo. Tra la variabile e i coefficienti il * non è necessario.
		  Per elevare a potenza usare ^, per il valore assoluto usare |f(x)|.
			Es. |cos(x)*1/2x|
		* Inserire l'intervallo della funzione da stampare nella seconda casella.
			Es. -10,10
		* Inserire il colore nella terza casella.
		  Una stringa con il nome del colore, una tupla che contiene i numeri RGB del colore o #colore in RGB esadecimale):
			Es #a1a1a1
	
	Definita a punti:
		
		* Inserire i punti della funzione in una tupla del tipo (x1,y2),(x2,y2).
			Es. (0,0),(1,2),(2,4),(3,-3)
		* Inserire l'intervallo della funzione da stampare nella seconda casella.
			Es. -10,10
		* Inserire il colore nella terza casella.
		  Una stringa con il nome del colore, una tupla che contiene i numeri RGB del colore o #colore in RGB esadecimale):
			Es #a1a1a1
	
	Definita a tratti:
		
		* Inserire i tratti in una tupla del tipo [f1(x),(intervallo)],[f2(x),(intervallo)].
			Es. [(-x),(-100,0)],[(x),(0,100)]
		* Inserire l'intervallo della funzione da stampare nella seconda casella.
			Es. -10,10
		* Inserire il colore nella terza casella.
		  Una stringa con il nome del colore, una tupla che contiene i numeri RGB del colore o #colore in RGB esadecimale):
			Es #a1a1a1
	
	È possibile usare tutte le funzioni e le costanti del modulo math.				